<template>
  <UEmpty
    :title="$t('confirm.signingIn')"
    :description="$t('confirm.redirectedSoon')"
  />
</template>

<script setup lang="ts">
definePageMeta({
  layout: 'empty'
})

const { isAuthenticated } = storeToRefs(useUser())

watch(isAuthenticated, () => {
  if (isAuthenticated.value) {
    return navigateTo('/profile')
  }
}, { immediate: true })
</script>
